Public URLs
Delete public URL
Stop serving a public URL.
DELETE
/
computers
/
{id}
/
public-urls
/
{urlId}
Delete public URL
curl --request DELETE \
--url https://www.orgo.ai/api/computers/{id}/public-urls/{urlId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}Removes the URL. The app on the computer keeps running.
For 30 days, only the workspace owner can take the address back: send its full label, for example
"label": "cool-thing-x7k2", to Create public URL.Authorizations
API key authentication. Get your key at orgo.ai/workspaces
Path Parameters
Computer ID. Accepts the computer's UUID or its instance_id.
The public URL's id, from List public URLs.
Response
Removed.
⌘I
Delete public URL
curl --request DELETE \
--url https://www.orgo.ai/api/computers/{id}/public-urls/{urlId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.orgo.ai/api/computers/{id}/public-urls/{urlId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}{
"error": "Access denied",
"code": "<string>"
}